//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ModeloERP
{
    using System;
    using System.Collections.Generic;
    
    public partial class SITE
    {
        public int ROWID { get; set; }
        public string ID { get; set; }
        public string ENTITY_ID { get; set; }
        public Nullable<System.DateTime> SOFT_ALLOC_DATE { get; set; }
        public string SITE_NAME { get; set; }
        public string SITE_ADDR_1 { get; set; }
        public string SITE_ADDR_2 { get; set; }
        public string SITE_ADDR_3 { get; set; }
        public string SITE_CITY { get; set; }
        public string SITE_STATE { get; set; }
        public string SITE_ZIPCODE { get; set; }
        public string SITE_COUNTRY { get; set; }
        public string STATUS { get; set; }
        public string DEF_SHIPPER_STATUS { get; set; }
        public Nullable<int> DEMAND_FENCE_1 { get; set; }
        public Nullable<int> DEMAND_FENCE_2 { get; set; }
        public string USE_MRP_DMND_FENCE { get; set; }
        public string SHOW_LOC_MESSAGE { get; set; }
        public string SHOW_WHS_MESSAGE { get; set; }
        public string ADD_LOC_ON_FLY { get; set; }
        public string ALLOC_TO_LATER_DEM { get; set; }
        public Nullable<short> SCH_NOTCH_SIZE { get; set; }
        public string USE_CAL_RLS_CALC { get; set; }
        public string USE_CAL_LT_CALC { get; set; }
        public string HARD_RELEASE_DATE { get; set; }
        public string USE_SUPPLY_BEF_LT { get; set; }
        public string DBR_CAN_DELETE_WO { get; set; }
        public Nullable<int> FLAG_RES_CCR_PCT { get; set; }
        public int FREE_WO_SHIP_BUF { get; set; }
        public string ALLOCATE_NEGATIVE { get; set; }
        public string ISSUE_NEGATIVE { get; set; }
        public string ISSNEG_LOCATION { get; set; }
        public string SHIP_TRK_ENABLED { get; set; }
        public string DEF_LBL_FORMAT_ID { get; set; }
        public string PARTIAL_SHIP_PREPAY_BAL { get; set; }
        public string SHP_REASON_CD_REQ { get; set; }
        public string ECN_CHANGE_ON_HOLD { get; set; }
        public string ECN_CMNT_PWD_REQ { get; set; }
        public string ECN_GEN_ALL_TASKS { get; set; }
        public string ECN_REVISE_ITEMS { get; set; }
        public string ONE_ECN_PER_PART { get; set; }
        public string ONE_ECN_PER_DOC { get; set; }
        public string ONE_ECN_PER_WO { get; set; }
        public string ONE_ECN_PER_MSTR { get; set; }
        public string ONE_ECN_PER_PRJ { get; set; }
        public string ECN_AUTH_LABEL { get; set; }
        public string ECN_IMPL_LABEL { get; set; }
        public string ECN_APRV_LABEL { get; set; }
        public string ECN_DIST_LABEL { get; set; }
        public string APPLY_ECN_INPROCESS_WO { get; set; }
        public string ECN_REQ_FOR_UPDATE { get; set; }
        public string LOCK_ECNS { get; set; }
        public string AUTOGEN_LAB_ON_REC { get; set; }
        public string ISS_REAS_REQ_ISS { get; set; }
        public string ISS_REAS_REQ_ISSRTN { get; set; }
        public string ADJ_REAS_REQ_ADJIN { get; set; }
        public string ADJ_REAS_REQ_ADJOUT { get; set; }
        public string DEVIATION_REQUIRED { get; set; }
        public string DEF_WAREHOUSE_ID { get; set; }
        public string BACKFLUSH_LABTICK { get; set; }
        public string BACKFLUSH_LABCOST { get; set; }
        public string BACKFLUSH_SUB_IDS { get; set; }
        public string DEFAULT_EMPLOYEE { get; set; }
        public string TRANSFER_REASON_REQ { get; set; }
        public string LAB_TIC_REQ_INSP { get; set; }
        public string PURC_RECV_REQ_INSP { get; set; }
        public string APS_DEF_LOC_ID { get; set; }
        public string APS_DEF_SERVICE_ID { get; set; }
        public string APS_DEF_WHSE_ID { get; set; }
        public string APS_DEFAULT_CUST { get; set; }
        public string APS_DEFAULT_EMPL { get; set; }
        public string APS_DEFAULT_VENDOR { get; set; }
        public string APS_IMPLIED_DEC { get; set; }
        public string APS_TRIM_STRINGS { get; set; }
        public string CAL_EXC_DATA_PATH { get; set; }
        public string CUST_ORD_DATA_PATH { get; set; }
        public string FROZE_OP_DATA_PATH { get; set; }
        public string INV_DATA_PATH { get; set; }
        public string LABOR_DATA_PATH { get; set; }
        public string MAST_SCH_DATA_PATH { get; set; }
        public string PART_DATA_PATH { get; set; }
        public string PLANNING_DATA_PATH { get; set; }
        public string PURC_ORD_DATA_PATH { get; set; }
        public string SCHED_DATA_PATH { get; set; }
        public string SHOP_DATA_PATH { get; set; }
        public string WORK_ORD_DATA_PATH { get; set; }
        public string FIELD_DELIMITER { get; set; }
        public string RECORD_DELIMITER { get; set; }
        public string QUOTED_STRING { get; set; }
        public string STANDARD_SCHED_ID { get; set; }
        public string UPS_ACCOUNT_ID { get; set; }
        public Nullable<short> RLS_NEAR_DAYS { get; set; }
        public Nullable<short> SUGG_RLS_NEAR_DAYS { get; set; }
        public string ENABLED_PRODUCTS { get; set; }
        public short PERIODS_PER_YEAR { get; set; }
        public string PERIOD_TYPE { get; set; }
        public string MULT_AP_INV_RCVR { get; set; }
        public string DUP_AP_CHECK_NO { get; set; }
        public string PART_UDF_LABELS { get; set; }
        public string PROJ_UDF_LABELS { get; set; }
        public string SHOP_UDF_LABELS { get; set; }
        public string VQ_ENABLED { get; set; }
        public string VQ_QUERY_USE { get; set; }
        public string VQ_DIRECTORY { get; set; }
        public string VQ_DBNAME { get; set; }
        public string DEL_PACK_CLS_PRD { get; set; }
        public string INTERNAL_CUST_ID { get; set; }
        public string PLAN_BY_WAREHOUSE { get; set; }
        public string VENDOR_EXCLUSION { get; set; }
        public string PLM_URL { get; set; }
        public string PLM_ENABLED { get; set; }
        public string PREVENT_NEGATIVE { get; set; }
        public string SITE_COUNTRY_ID { get; set; }
        public string MRP_IN_PROCESS { get; set; }
        public string PERCENT_COMPL { get; set; }
        public string QTY_COMPL_BY_HRS { get; set; }
        public Nullable<decimal> MAX_QTY_COMPLETE { get; set; }
        public string AUTO_ISSUE_METHOD { get; set; }
    }
}
